from cpl_query.extension import List

from bot_graphql.abc.filter_abc import FilterABC


class Sort(FilterABC):
    def __init__(self):
        FilterABC.__init__(self)
        self._sort_direction = None
        self._sort_column = None

    def from_dict(self, values: dict):
        if "sort_direction" in values:
            self._sort_direction = values["sort_direction"]

        if "sort_column" in values:
            self._sort_column = values["sort_column"]

    def filter(self, query: List, *args) -> List:
        return query
