from ariadne import MutationType

from bot_graphql.mutations.level_mutation import LevelMutation


class Mutation(MutationType):
    def __init__(self, level_mutation: LevelMutation):
        MutationType.__init__(self)

        self._level_mutation = level_mutation
        self.set_field("level", self.resolve_level)

    def resolve_level(self, *_):
        return self._level_mutation
